com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionCompletedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionCompletedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionCompletedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionCompleted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionCompletedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionCompletedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution.
`String` `getResult()` The result produced by the workflow execution upon successful completion.
`int` `hashCode()`
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution.
`void` `setResult(String result)` The result produced by the workflow execution upon successful completion.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionCompletedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution.
`WorkflowExecutionCompletedEventAttributes` `withResult(String result)` The result produced by the workflow execution upon successful completion.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionCompletedEventAttributes

    public WorkflowExecutionCompletedEventAttributes()

### Method Detail

#### setResult

    public void setResult(String result)

The result produced by the workflow execution upon successful completion.

Parameters:
  `result` - The result produced by the workflow execution upon successful completion.

#### getResult

    public String getResult()

The result produced by the workflow execution upon successful completion.

Returns:
  The result produced by the workflow execution upon successful completion.

#### withResult

    public WorkflowExecutionCompletedEventAttributes withResult(String result)

The result produced by the workflow execution upon successful completion.

Parameters:
  `result` - The result produced by the workflow execution upon successful completion.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public WorkflowExecutionCompletedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `CompleteWorkflowExecution` decision to complete this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionCompletedEventAttributes clone()

Overrides:
  `clone` in class `Object`